gr::dab::time_deinterleave_ff_impl Class Reference

applies time deinterleaving to a vector (convolutional deinterleaving -> descrambling and delay) More...

`#include <time_deinterleave_ff_impl.h>`

Inheritance diagram for gr::dab::time_deinterleave_ff_impl:
[legend]

## Public Member Functions

| time_deinterleave_ff_impl (int vector_length, const std::vector< unsigned char > &scrambling_vector)
| ~time_deinterleave_ff_impl ()
int | work (int noutput_items, gr_vector_const_void_star &input_items, gr_vector_void_star &output_items)

## Additional Inherited Members

Public Types inherited from gr::dab::time_deinterleave_ff
typedef std::shared_ptr< time_deinterleave_ff > | sptr
Static Public Member Functions inherited from gr::dab::time_deinterleave_ff
static sptr | make (int vector_length, const std::vector< unsigned char > &scrambling_vector)
| Return a shared_ptr to a new instance of dab::time_deinterleave_ff.

## Detailed Description

applies time deinterleaving to a vector (convolutional deinterleaving -> descrambling and delay)

applies convolutional deinterleaving to a vector with its max[vector_length] followers, the scrambling_vector describes which vector element comes from which follower delays the elements of a max delay of d_scrambling_length-1 more information to the interleaving rules on ETSI EN 300 401 chapter 12 this deinterleaver restores a bitstream interleaved by the block time_interleave_bb

Parameters

  vector_length | length of input vectors
  scrambling_vector | vector with scrambling parameters (see DAB standard p.138)

## Constructor & Destructor Documentation

## time_deinterleave_ff_impl()

gr::dab::time_deinterleave_ff_impl::time_deinterleave_ff_impl | ( | int | vector_length,
|  | const std::vector< unsigned char > & | scrambling_vector )

## ~time_deinterleave_ff_impl()

gr::dab::time_deinterleave_ff_impl::~time_deinterleave_ff_impl | ( |  | ) |

## Member Function Documentation

## work()

int gr::dab::time_deinterleave_ff_impl::work | ( | int | noutput_items,
|  | gr_vector_const_void_star & | input_items,
|  | gr_vector_void_star & | output_items )

The documentation for this class was generated from the following file:

- time_deinterleave_ff_impl.h